//
//  PTRLevel.h
//  PointrCore
//
//  Created by Furkan Erdem Perşembe on 20.01.2020.
//

@class PTRBuilding;

NS_ASSUME_NONNULL_BEGIN

/// Model class for a level / floor
OBJC_EXPORT @interface PTRLevel : NSObject

/// Level index
/// @note 0 is ground level
@property (nonatomic, readonly) int index;

/// Level title
@property (nonatomic, readonly) NSString *title;

/// Short Level title
@property (nonatomic, readonly) NSString *shortTitle;

/// Building that contains the level.
@property (nonatomic, readonly) PTRBuilding *building;

@end

NS_ASSUME_NONNULL_END
