//
//  UIWindow+Pointr.h
//
//  Created by Pointr on 14/11/2018.
//  Copyright © 2018 Pointr. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * Pointr category for UIWindow class.
 */
OBJC_EXPORT @interface UIWindow(Pointr)

/**
 * Method that returns the current visible view controller.
 *
 * @return Visible view controller.
 */
- (UIViewController *)ptr_visibleViewController;

@end

NS_ASSUME_NONNULL_END
