//
//  PTREnvironment.h
//  PointrKit
//
//  Created by Ahmet Gülden on 5.01.2021.
//

#import <Foundation/Foundation.h>

/**
 * Enum with all supported environments.
 */
typedef NS_ENUM(int, PTREnvironment) {
    /// Internal - PointrContent-int.zip.
    PTREnvironmentInternal = 0,

    /// Development - PointrContent-dev.zip.
    PTREnvironmentDevelopment = 1,

    /// Testing - PointrContent-qa.zip.
    PTREnvironmentQA = 2,

    /// PreProduction - PointrContent-pre.zip.
    PTREnvironmentPreProduction = 3,

    /// Production - PointrContent.zip.
    PTREnvironmentProduction = 4
};
