//
//  PTRFeatureType.h
//  PointrKit
//
//  Created by Pointr on 05/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <PointrKit/PTRFeatureTypeClass.h>

NS_ASSUME_NONNULL_BEGIN

/// Model class for Feature type information.
@interface PTRFeatureType : NSObject

/// Type code of the feature type.
@property (strong, nonatomic, readonly) NSString *typeCode;

- (instancetype)init NS_UNAVAILABLE;

/// Method to get class information from feature type.
- (PTRFeatureTypeClass)getClass;

@end

NS_ASSUME_NONNULL_END
