//
//  PTRGeoMultiLineString.h
//
//  Created by Pointr on 04/11/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <PointrKit/PTRGeometry.h>

@class PTRGeoLineString;

NS_ASSUME_NONNULL_BEGIN

/// Model class for a multi line geometry.
@interface PTRGeoMultiLineString : PTRGeometry

/// All the lines that form this geometry.
@property (strong, nonatomic, readonly, nonnull) NSArray<PTRGeoLineString *> *lineStrings;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
